com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.atlassian.confluence.plugins.confluence-jira-content

Atlassian JIRA | Wayne Wong [Atlassian] | 1 year ago
  1. 0

    *Steps to replicate* # Install confluence 5.7.1 # Create an application link to Jira 6 (tested with Jira 6.4.9) # upgrade Jira macro to 5.6.17, as per suggested by our UPM # Create a new page, with table inside the page # Highlight the items you created # Wait for the popup to appear *Expected Behavior* Jira issue icon will pop up !expected.JPG|thumbnail! *Actual Behavior* Only comment is available and no jira bulk creation icon !actual.JPG|thumbnail! Below's error message found during confluence startup {noformat} 2015-10-22 06:35:17,683 WARN [localhost-startStop-1] [atlassian.plugin.impl.AbstractPlugin] enable Because of this exception com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.atlassian.confluence.plugins.confluence-jira-content at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:479) at com.atlassian.plugin.impl.AbstractPlugin.enable(AbstractPlugin.java:310) at com.atlassian.plugin.impl.AbstractDelegatingPlugin.enable(AbstractDelegatingPlugin.java:242) at com.atlassian.plugin.manager.PluginEnabler.actualEnable(PluginEnabler.java:136) at com.atlassian.plugin.manager.PluginEnabler.enable(PluginEnabler.java:104) at com.atlassian.plugin.manager.DefaultPluginManager.addPlugins(DefaultPluginManager.java:1199) at com.atlassian.plugin.manager.DefaultPluginManager.lateStartup(DefaultPluginManager.java:567) at com.atlassian.confluence.plugin.ConfluencePluginManager.lateStartup(ConfluencePluginManager.java:129) at com.atlassian.plugin.manager.DefaultPluginManager.init(DefaultPluginManager.java:433) at com.atlassian.confluence.plugin.PluginFrameworkContextListener.contextInitialized(PluginFrameworkContextListener.java:60) at org.apache.catalina.core.StandardContext.listenerStart(StandardContext.java:4973) at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5467) at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150) at org.apache.catalina.core.ContainerBase$StartChild.call(ContainerBase.java:1559) at org.apache.catalina.core.ContainerBase$StartChild.call(ContainerBase.java:1549) at java.util.concurrent.FutureTask.run(FutureTask.java:266) at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142) at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617) at java.lang.Thread.run(Thread.java:745) Caused by: org.osgi.framework.BundleException: Unresolved constraint in bundle com.atlassian.confluence.plugins.confluence-jira-content [162]: Unable to resolve 162.0: missing requirement [162.0] package; (&(package=com.atlassian.integration.jira)(version>=1.6.0)(!(version>=2.0.0))) {noformat} h4.Workaround Downgrade the jira-integration-plugin to 1.6.0 The bundled version of this add-on is *1.6.0* . I am attaching this version of this add-on to this ticket . [^jira-integration-plugin-1.6.0.jar] Steps to install this add-on : # You will first need to uninstall the existing add-on from UI. # Shutdown Confluence # Place the plugin JAR in the directory <Confluence_installation>\confluence\WEB-INF\atlassian-bundled-plugins\ # Start Confluence

    Atlassian JIRA | 1 year ago | Wayne Wong [Atlassian]
    com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.atlassian.confluence.plugins.confluence-jira-content
  2. 0

    *Steps to replicate* # Install confluence 5.7.1 # Create an application link to Jira 6 (tested with Jira 6.4.9) # upgrade Jira macro to 5.6.17, as per suggested by our UPM # Create a new page, with table inside the page # Highlight the items you created # Wait for the popup to appear *Expected Behavior* Jira issue icon will pop up !expected.JPG|thumbnail! *Actual Behavior* Only comment is available and no jira bulk creation icon !actual.JPG|thumbnail! Below's error message found during confluence startup {noformat} 2015-10-22 06:35:17,683 WARN [localhost-startStop-1] [atlassian.plugin.impl.AbstractPlugin] enable Because of this exception com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.atlassian.confluence.plugins.confluence-jira-content at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:479) at com.atlassian.plugin.impl.AbstractPlugin.enable(AbstractPlugin.java:310) at com.atlassian.plugin.impl.AbstractDelegatingPlugin.enable(AbstractDelegatingPlugin.java:242) at com.atlassian.plugin.manager.PluginEnabler.actualEnable(PluginEnabler.java:136) at com.atlassian.plugin.manager.PluginEnabler.enable(PluginEnabler.java:104) at com.atlassian.plugin.manager.DefaultPluginManager.addPlugins(DefaultPluginManager.java:1199) at com.atlassian.plugin.manager.DefaultPluginManager.lateStartup(DefaultPluginManager.java:567) at com.atlassian.confluence.plugin.ConfluencePluginManager.lateStartup(ConfluencePluginManager.java:129) at com.atlassian.plugin.manager.DefaultPluginManager.init(DefaultPluginManager.java:433) at com.atlassian.confluence.plugin.PluginFrameworkContextListener.contextInitialized(PluginFrameworkContextListener.java:60) at org.apache.catalina.core.StandardContext.listenerStart(StandardContext.java:4973) at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5467) at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150) at org.apache.catalina.core.ContainerBase$StartChild.call(ContainerBase.java:1559) at org.apache.catalina.core.ContainerBase$StartChild.call(ContainerBase.java:1549) at java.util.concurrent.FutureTask.run(FutureTask.java:266) at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142) at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617) at java.lang.Thread.run(Thread.java:745) Caused by: org.osgi.framework.BundleException: Unresolved constraint in bundle com.atlassian.confluence.plugins.confluence-jira-content [162]: Unable to resolve 162.0: missing requirement [162.0] package; (&(package=com.atlassian.integration.jira)(version>=1.6.0)(!(version>=2.0.0))) {noformat} h4.Workaround Downgrade the jira-integration-plugin to 1.6.0 The bundled version of this add-on is *1.6.0* . I am attaching this version of this add-on to this ticket . [^jira-integration-plugin-1.6.0.jar] Steps to install this add-on : # You will first need to uninstall the existing add-on from UI. # Shutdown Confluence # Place the plugin JAR in the directory <Confluence_installation>\confluence\WEB-INF\atlassian-bundled-plugins\ # Start Confluence

    Atlassian JIRA | 1 year ago | Wayne Wong [Atlassian]
    com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.atlassian.confluence.plugins.confluence-jira-content
  3. 0

    Editor for Stash 1.4.2 is not compatible with any Stash version below 3.10

    GitHub | 1 year ago | gabriellezbautista
    com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.mohamicorp.stash.plugin.editor-for-stash
  4. Speed up your debug routine!

    Automated exception search integrated into your IDE

  5. 0

    Adding a to my Atlassian plugin's pom.xml causes a Spring BundleException with a Constraint violation

    Stack Overflow | 2 years ago | Doug Hughes
    com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.foo.ConflunceJMSIntegration
  6. 0

    Adding a to my Atlassian plugin's pom.xml causes a Spring BundleException with a Constraint violation

    Stack Overflow | 2 years ago | Doug Hughes
    com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: com.foo.ConflunceJMSIntegration

    Not finding the right solution?
    Take a tour to get the most out of Samebug.

    Tired of useless tips?

    Automated exception search integrated into your IDE

    Root Cause Analysis

    1. com.atlassian.plugin.osgi.container.OsgiContainerException

      Cannot start plugin: com.atlassian.confluence.plugins.confluence-jira-content

      at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal()
    2. com.atlassian.plugin
      DefaultPluginManager.lateStartup
      1. com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:479)
      2. com.atlassian.plugin.impl.AbstractPlugin.enable(AbstractPlugin.java:310)
      3. com.atlassian.plugin.impl.AbstractDelegatingPlugin.enable(AbstractDelegatingPlugin.java:242)
      4. com.atlassian.plugin.manager.PluginEnabler.actualEnable(PluginEnabler.java:136)
      5. com.atlassian.plugin.manager.PluginEnabler.enable(PluginEnabler.java:104)
      6. com.atlassian.plugin.manager.DefaultPluginManager.addPlugins(DefaultPluginManager.java:1199)
      7. com.atlassian.plugin.manager.DefaultPluginManager.lateStartup(DefaultPluginManager.java:567)
      7 frames
    3. com.atlassian.confluence
      ConfluencePluginManager.lateStartup
      1. com.atlassian.confluence.plugin.ConfluencePluginManager.lateStartup(ConfluencePluginManager.java:129)
      1 frame
    4. com.atlassian.plugin
      DefaultPluginManager.init
      1. com.atlassian.plugin.manager.DefaultPluginManager.init(DefaultPluginManager.java:433)
      1 frame
    5. com.atlassian.confluence
      PluginFrameworkContextListener.contextInitialized
      1. com.atlassian.confluence.plugin.PluginFrameworkContextListener.contextInitialized(PluginFrameworkContextListener.java:60)
      1 frame
    6. Glassfish Core
      ContainerBase$StartChild.call
      1. org.apache.catalina.core.StandardContext.listenerStart(StandardContext.java:4973)
      2. org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5467)
      3. org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150)
      4. org.apache.catalina.core.ContainerBase$StartChild.call(ContainerBase.java:1559)
      5. org.apache.catalina.core.ContainerBase$StartChild.call(ContainerBase.java:1549)
      5 frames
    7. Java RT
      Thread.run
      1. java.util.concurrent.FutureTask.run(FutureTask.java:266)
      2. java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
      3. java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
      4. java.lang.Thread.run(Thread.java:745)
      4 frames